//***********************************************************************************

//	export.h

//	High Tech BASIC, Copyright (C) TransEra Corp 1987 - 1999, All Rights Reserved.



//***********************************************************************************
#ifndef __EXPORT_H
#define __EXPORT_H

#ifndef DLLEXPORT
#define DLLEXPORT __declspec(dllimport)
#endif

extern "C"
{

//***********************************************************************************
// Variables


extern DLLEXPORT HWND g_hBasicWindow;				// exported global WINDOW HANDLE
extern DLLEXPORT HCURSOR g_hBasicCursor;			// exported global POINTER TO CURSOR HANDLE

// end Variables
//***********************************************************************************
// Prototypes


DLLEXPORT void Disp(char * Msg);					// print string on display line
DLLEXPORT int Signal(int num);						// exported SIGNAL Statement
DLLEXPORT int CheckInt();							// check for basic clear i/o or reset
DLLEXPORT int PutBuffer(void * IOPath,char* data,short option);	// place null terminated string into buffer
DLLEXPORT int GetBuffer(void * IOPath,char * data, long len);	// read string data from buffer
DLLEXPORT void Interactive(short option);			// see HTBasic Suspend Interactive and resume interactive command
DLLEXPORT void GetBasicEvents(LPHANDLE ResetEvent, LPHANDLE ShutdownEvent);	// Basic events for reset and shutdown
DLLEXPORT void Registerthread(LPHANDLE phEvent);	// register event so Basic will wait on shutdown
DLLEXPORT void Unregisterthread(LPHANDLE phEvent);	// call this to unregister your thread
DLLEXPORT CWinApp * GetBasicApp();					// get pointer to basic app
DLLEXPORT void SetBasicCursor(char * cursor);		// set standard cursors

// end prototypes
//***********************************************************************************

}	// end extern "C"

#endif // ifndef-define __EXPORT_H